IOS9-Update

Update to iOS 9. Splunk, Cocoa Pods, SSL Domains & co.

I am working with an app which is updated infrequently every few months. This time it was necessary to build with the SDK iOS 9.0. But when I want to build the app using XCode I got this error:

“This app is not allowed to query for scheme cydia”

BUT WHO THE HELL is Cydia? :) Because I never used Jailbroken devices I didn’t know that Cydia is the App Store alternative for jailbroken devices. My App uses Splunk MINT for monitoring and they call the scheme “cydia://” to check if a device is jailbroken, because most jailbroken devices have Cydia installed. Anyway. This was the message everything started with and finally led to a chain of updating different parts.

Continue reading “Update to iOS 9. Splunk, Cocoa Pods, SSL Domains & co.”